CREATE TABLE LIKED_USERS (
  ID BIGINT PRIMARY KEY AUTO_INCREMENT,
  ID_USER BIGINT NOT NULL,
  ID_LIKED_USER BIGINT NOT NULL
);

INSERT INTO LIKED_USERS (ID, ID_USER, ID_LIKED_USER) VALUES (1,1,2);
INSERT INTO LIKED_USERS (ID, ID_USER, ID_LIKED_USER) VALUES (2,1,3);
INSERT INTO LIKED_USERS (ID, ID_USER, ID_LIKED_USER) VALUES (3,1,4);
INSERT INTO LIKED_USERS (ID, ID_USER, ID_LIKED_USER) VALUES (4,1,5);
INSERT INTO LIKED_USERS (ID, ID_USER, ID_LIKED_USER) VALUES (5,2,3);
INSERT INTO LIKED_USERS (ID, ID_USER, ID_LIKED_USER) VALUES (6,2,4);
INSERT INTO LIKED_USERS (ID, ID_USER, ID_LIKED_USER) VALUES (7,3,5);
INSERT INTO LIKED_USERS (ID, ID_USER, ID_LIKED_USER) VALUES (8,3,1);
INSERT INTO LIKED_USERS (ID, ID_USER, ID_LIKED_USER) VALUES (9,3,2);
INSERT INTO LIKED_USERS (ID, ID_USER, ID_LIKED_USER) VALUES (10,4,2);
INSERT INTO LIKED_USERS (ID, ID_USER, ID_LIKED_USER) VALUES (11,4,1);

CREATE TABLE DIALOG (
  ID BIGINT PRIMARY KEY AUTO_INCREMENT,
  ID_FIRST_USER BIGINT NOT NULL,
  ID_SECOND_USER BIGINT NOT NULL
);

INSERT INTO DIALOG (ID, ID_FIRST_USER, ID_SECOND_USER) VALUES (1, 1, 2);

CREATE TABLE DIALOG_MESSENGES (
  ID BIGINT PRIMARY KEY AUTO_INCREMENT ,
  ID_DIALOG BIGINT NOT NULL ,
  ID_USER BIGINT NOT NULL ,
  MESSAGE VARCHAR(256) NOT NULL
);

INSERT INTO DIALOG_MESSENGES(ID, ID_DIALOG, ID_USER, MESSAGE) VALUES (1,1,1,'Hi!');
INSERT INTO DIALOG_MESSENGES(ID, ID_DIALOG, ID_USER, MESSAGE) VALUES (2,1,2,'Hello!');
INSERT INTO DIALOG_MESSENGES(ID, ID_DIALOG, ID_USER, MESSAGE) VALUES (3,1,1,'How are you?');
INSERT INTO DIALOG_MESSENGES(ID, ID_DIALOG, ID_USER, MESSAGE) VALUES (4,1,2,'I am fine');
INSERT INTO DIALOG_MESSENGES(ID, ID_DIALOG, ID_USER, MESSAGE) VALUES (5,1,2,'What are you doing today');
INSERT INTO DIALOG_MESSENGES(ID, ID_DIALOG, ID_USER, MESSAGE) VALUES (6,1,1,'I will sleep all day');
INSERT INTO DIALOG_MESSENGES(ID, ID_DIALOG, ID_USER, MESSAGE) VALUES (7,1,2,'Why?');
INSERT INTO DIALOG_MESSENGES(ID, ID_DIALOG, ID_USER, MESSAGE) VALUES (8,1,1,'Because I am so tired!!!!!!!');


